AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_WM_PID_TRACKER_CFLAGS) \
	$(UNITY_WEBAPPS_SERVICE_TRACKER_CFLAGS) \
	$(UNITY_WEBAPPS_DEBUG_CFLAGS) \
	$(UNITY_WEBAPPS_TOOLS_CFLAGS) \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/libunity-webapps \
	-I$(top_srcdir)/src/context-daemon \
	-I$(top_srcdir)/src/context-daemon/util \
	-I$(top_srcdir)/src/context-daemon/resource-cache \
	-I$(top_srcdir)/src/libunity-webapps-repository/

tooldir = \
	$(bindir)
tool_PROGRAMS = \
	unity-webapps-desktop-file

noinst_PROGRAMS = \
	context-tracker \
	service-tracker \
	action-invoker \
	unity-webapps-tool \
	unity-webapps-installer \
	webapps-spreader 

service_tracker_SOURCES = \
	service-tracker.c

unity_webapps_desktop_file_SOURCES = \
	unity-webapps-desktop-file.c  \
	$(top_srcdir)/src/context-daemon/util/unity-webapps-dirs.c \
	$(top_srcdir)/src/unity-webapps-app-db.c \
	$(top_srcdir)/src/context-daemon/resource-cache/unity-webapps-resource-db.c \
	$(top_srcdir)/src/context-daemon/unity-webapps-application-info.c \
	$(top_srcdir)/src/context-daemon/util/unity-webapps-icon-theme.c \
	$(top_srcdir)/src/context-daemon/resource-cache/unity-webapps-resource-cache.c \
	$(top_srcdir)/src/context-daemon/resource-cache/unity-webapps-resource-factory.c \
	$(top_srcdir)/src/context-daemon/util/unity-webapps-gio-utils.c \
	$(top_srcdir)/src/libunity-webapps/unity-webapps-permissions.c \
	$(top_srcdir)/src/unity-webapps-string-utils.c \
	$(top_srcdir)/src/unity-webapps-desktop-infos.c \
	$(top_srcdir)/src/context-daemon/unity-webapps-debug.c 

unity_webapps_desktop_file_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(top_builddir)/src/libunity-webapps-repository/libunity-webapps-repository.la

service_tracker_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_SERVICE_TRACKER_LIBS) \
	$(UNITY_WEBAPPS_TOOLS_LIBS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

webapps_spreader_SOURCES = \
	webapps-spreader.c

webapps_spreader_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_SERVICE_TRACKER_LIBS) \
	$(UNITY_WEBAPPS_TOOLS_LIBS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

unity_webapps_installer_SOURCES = \
	unity-webapps-installer.c \
	$(top_srcdir)/src/context-daemon/util/unity-webapps-dirs.c \
	$(top_srcdir)/src/unity-webapps-app-db.c \
	$(top_srcdir)/src/context-daemon/resource-cache/unity-webapps-resource-db.c \
	$(top_srcdir)/src/context-daemon/unity-webapps-application-info.c \
	$(top_srcdir)/src/context-daemon/util/unity-webapps-icon-theme.c \
	$(top_srcdir)/src/context-daemon/resource-cache/unity-webapps-resource-cache.c \
	$(top_srcdir)/src/context-daemon/resource-cache/unity-webapps-resource-factory.c \
	$(top_srcdir)/src/context-daemon/util/unity-webapps-gio-utils.c \
	$(top_srcdir)/src/libunity-webapps/unity-webapps-permissions.c \
	$(top_srcdir)/src/unity-webapps-string-utils.c \
	$(top_srcdir)/src/unity-webapps-desktop-infos.c \
	$(top_srcdir)/src/context-daemon/unity-webapps-debug.c

unity_webapps_installer_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS)

unity_webapps_tool_SOURCES = \
	unity-webapps-tool.c

unity_webapps_tool_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_SERVICE_TRACKER_LIBS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

context_tracker_SOURCES = \
	context-tracker.c
context_tracker_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

action_invoker_SOURCES = \
	action-invoker.c
action_invoker_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la
